xn::FrameSyncCapability Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::FrameSyncCapability:
[legend]

## Public Member Functions

| FrameSyncCapability (XnNodeHandle hNode)
| FrameSyncCapability (const NodeWrapper &node)
XnBool | CanFrameSyncWith (Generator &other) const
XnStatus | FrameSyncWith (Generator &other)
XnStatus | StopFrameSyncWith (Generator &other)
XnBool | IsFrameSyncedWith (Generator &other) const
XnStatus | RegisterToFrameSyncChange (StateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)
void | UnregisterFromFrameSyncChange (XnCallbackHandle hCallback)
Public Member Functions inherited from xn::Capability
| Capability (XnNodeHandle hNode)
| Capability (const NodeWrapper &node)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Purpose: The Frame Sync capability allows frame synchronization between two generator nodes producing frame data. This lets the two sensors output their frames at the same time. This allows smaller latency between two maps of the same scene, for example, a depth map and an image map.

Usage: Do not instantiate directly. Instead, use Generator::GetFrameSyncCap() to obtain an instance.

Event: 'Frame Sync Change'

Signals that the holder node's frame synchronization setting has been changed. That is, this setting has changed from activated to deactivated, or from deactivated to activated, or the frame synchronization has been changed and is now synchronized with a different 'other node'.

Use RegisterToFrameSyncChange() and UnregisterFromFrameSyncChange() for using this event.

Calling the FrameSyncWith() or StopFrameSyncWith() methods raises this event.

## Constructor & Destructor Documentation

## FrameSyncCapability() [1/2]

xn::FrameSyncCapability::FrameSyncCapability | ( | XnNodeHandle | hNode | ) |

inline

## FrameSyncCapability() [2/2]

xn::FrameSyncCapability::FrameSyncCapability | ( | const NodeWrapper & | node | ) |

inline

## Member Function Documentation

## CanFrameSyncWith()

XnBool xn::FrameSyncCapability::CanFrameSyncWith | ( | Generator & | other | ) | const

inline

Returns whether the generator node holding this capability can synchronize frames with the other specified node.

Parameters

  [in] | other | Specifies the other node to be checked whether it can frame-sync with the node holding this capability.

Returns
  TRUE if frame-sync to the other node is supported; FALSE otherwise.

## FrameSyncWith()

XnStatus xn::FrameSyncCapability::FrameSyncWith | ( | Generator & | other | ) |

inline

Activates frame synchronization with the other generator node.

Parameters

  [in] | other | Specifies the other node to be frame sync-ed with the node holding this capability.

## IsFrameSyncedWith()

XnBool xn::FrameSyncCapability::IsFrameSyncedWith | ( | Generator & | other | ) | const

inline

Returns whether a frame sync has been applied between the node holding this capability and another specified node.

Parameters

  [in] | other | Specifies the other node for checking whether frame sync has been applied.

## RegisterToFrameSyncChange()

XnStatus xn::FrameSyncCapability::RegisterToFrameSyncChange | ( | StateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

inline

Registers an event handler for the 'Frame Sync Change' event.

Parameters

  [in] | handler | Callback function to be invoked when the event is raised.
  [in] | pCookie | User's cookie, to be delivered to the callback.
  [out] | hCallback | Handle to the callback to be used for unregistering it.

For full details and usage of the parameters, see Registering to Events.

## StopFrameSyncWith()

XnStatus xn::FrameSyncCapability::StopFrameSyncWith | ( | Generator & | other | ) |

inline

Removes the frame sync between the node holding this capability and the specified other node.

Parameters

  [in] | other | Specifies the other node from which to remove the frame sync.

## UnregisterFromFrameSyncChange()

void xn::FrameSyncCapability::UnregisterFromFrameSyncChange | ( | XnCallbackHandle | hCallback | ) |

inline

Unregisters the 'Frame Sync Change' event handler.

Parameters

  [in] | hCallback | Handle received from registration.

For full details and usage of the parameter, see Unregistering from Events .

The documentation for this class was generated from the following file:

- XnCppWrapper.h